server:
  port: 9995
  servlet:
    session:
      timeout: 120m
      cookie:
        name: wgcat
 #   context-path: /wgcat
#日志文件输出路径
logging:
  file:
    path: ./log
# 数据库 相关设置
spring:
  application:
    name: wgcat
  datasource:
    driver-class-name: com.mysql.jdbc.Driver
    url: jdbc:mysql://localhost:3306/wgcat?characterEncoding=utf-8&characterSetResults=utf8&autoReconnect=true&useSSL=false&allowMultiQueries=true
    username: root
    password: 123456
    hikari:
      validationTimeout: 3000
      connectionTimeout: 60000
      idleTimeout: 60000
      minimumIdle: 10
      maximumPoolSize: 10
      maxLifeTime: 60000
      connectionTestQuery: select 1
  mvc:
    static-path-pattern: /static/**
  thymeleaf:
    cache: false
mybatis:
  config-location: classpath:mybatis/mybatis-config.xml
  mapper-locations: classpath:mybatis/mapper/*.xml


#自定义配置参数
base:
  #管理员登录账号
  account: admin
  #管理员登录账号的密码
  accountPwd: 111111
  #登录页面是否需要显示验证码，yes显示，no不显示
  vercodeCheck: no
  #通信token，数据开放接口使用
  wgToken: wgcat
  #是否开启数据开放接口，yes开启，no关闭
  openDataAPI: yes
  #是否开启分享新建工单页面，yes开启，no关闭
  shareDataView: yes
  #每页显示多少条数据，建议不小于10
  pageSize: 20
  #是否开启使用标签，yes开启，no关闭，资产管理和设备账号模块会使用到标签
  hostGroup: no
  #系统日志数据保留天数，默认30天
  historyDataOut: 30
  #守护进程访问url，若守护端口修改，那此处的端口也要同步修改下（一般保持默认即可）
  daemonUrl: http://localhost:19995
  #工单允许上传的附件类型，多个用逗号,隔开
  workAttachType: jpg,jpeg,png,zip,log,tar.gz,doc,docx,ppt,xls,xlsx,pdf,txt,html
  #工单类型，多个用逗号,隔开
  workType: 故障处理,安装服务,变更管理,维护管理,服务请求,数据修正
  #server/logo/下的ico图标名称，建议32*32，如favicon.png，此功能需升级到专业版
  icoName:
  #server/logo/下的logo图标名称，建议120*120，如logo.png，此功能需升级到专业版
  logoName:
  #系统全称，如wgcat工单系统，此功能需升级到专业版
  wgName:
  #系统简称，如wgcat，此功能需升级到专业版
  wgShortName:
  #告警邮件标题前缀，此功能需升级到专业版
  mailTitlePrefix: '[WGCAT]'
  #告警邮件内容后缀，此功能需升级到专业版
  mailContentSuffix: '<p><p><p>WGCAT敬上'
  #是否显示页面底部版权、网址信息，yes显示，no不显示，此功能需升级到专业版
  copyRight: yes
  #通知开关，yes开启，no关闭，关闭后将不会发送邮件和脚本通知，开启后发送邮件和脚本通知
  allWarnMail: yes
  #通知脚本绝对路径(若配置脚本，无论是否配置过邮件，都会执行该脚本)，可以为空，参考模板：server/template/sendMsg.sh
  warnScript:
  #是否将通知内容转为unicode，yes是，no否，在windows执行告警脚本时，一般需要转码，否则接受到会是乱码
  warnToUnicode: no